List contacts
Retrieve a list of all contacts (leads) collected by your AI Agents. You can optionally filter by a specific agent using the agent_id query parameter.
GET
/contactsRequest parameters
Section titled “Request parameters”Query
agent_idstringFilter results to only return contacts from this specific agent. If omitted, contacts from all agents in your project are returned.
Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataarrayA list of contact objects.
idstringThe unique UUID of the contact.
agent_idstringThe UUID of the agent that captured this contact.
emailstringThe email address of the contact.
full_namestringThe full name of the contact.
created_atstringThe ISO 8601 timestamp of when the contact was captured.
curl -X GET "https://app.picobot.dev/api/contacts?agent_id=91981020-f783-4544-ad96-39857ac589cb" \ -H "Authorization: Bearer <token>"fetch('https://app.picobot.dev/api/contacts?agent_id=91981020-f783-4544-ad96-39857ac589cb', { method: 'GET', headers: { 'Authorization': 'Bearer <token>' }}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>" }response = requests.get( "https://app.picobot.dev/api/contacts", params={"agent_id": "91981020-f783-4544-ad96-39857ac589cb"}, headers=headers)print(response.json()){ "data": [ { "id": "ctr89df0-112d-d197-b541-3f8674663246", "agent_id": "91981020-f783-4544-ad96-39857ac589cb", "email": "jane.doe@example.com", "full_name": "Jane Doe", "created_at": "2024-06-14T15:45:34+00:00" } ]}